/* Eigene Schriften in die Website integrieren */
@font-face {
    font-family: 'comicscartoon';
    src: url("../../fonts/comicscartoon.woff2") format('woff2'),
         url("../../fonts/comicscartoon.woff") format('woff');
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'akzidenz-grotesk_bold';
    src: url("../../fonts/akzidenzgrotesk-bold.woff2") format('woff2'),
         url("../../fonts/akzidenzgrotesk-bold.woff") format('woff');
    font-weight: normal;
    font-style: normal;

}
*{
	padding: 0;
	margin: 0;
	box-sizing: border-box;
}

body{
	width: 100%;
	height: 100vh;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	color: #fff;
	font-family: 'comicscartoon';
}
/* Verschiedene Dinge wie z.B Hintergrundbild noch austauschen. Es soll aber unbedingt einen ruhigen Hintergrund haben. */

body::before{
	content:"";
	position: fixed;
	width: 100%;
	height: 100%;
	display: block;
	background-image: url("../../main_images/hintergrund/village_2.png");
	background-attachment: fixed;
	background-repeat: no-repeat;
	background-size: cover;
	z-index: -1;
}

h1{
	font-size: 70px;
	color: #283400;
	text-transform: uppercase;
	text-align: center;
	padding-top: 20px;
}
.memory-game{
	width: 640px;
	height: 640px;
	margin: 40px auto;
	display: flex;
	flex-wrap: wrap;
}

.memory-card{
	width: calc(25% - 10px);
	height: calc(33.333% - 10px);
	margin: 5px;
	position: relative;
	-webkit-transform: scale(1);
  transform: scale(1);
	-webkit-transform-style: preserve-3d;
  transform-style: preserve-3d;
  -webkit-transition: transform 0.5s;
	transition: transform 0.5s;
}

.memory-card:active{
  -webkit-transform: scale(0.97);
	transform: scale(0.97);
  -webkit-transition: transform 0.2s;
	transition: transform 0.2s;
}

.front-face, 
.back-face{
	width: 100%;
	height: 100%;
	padding: 20px;
	position: absolute;
	border-radius: 5px;
	background-color: #553a0f;
	-webkit-backface-visibility: hidden;
  -moz-backface-visibility: hidden;
  backface-visibility: hidden;
}

.front-face{
	-webkit-backface-visibility: visible;
  -moz-backface-visibility: visible;
  backface-visibility: visible;
}

.flip{
  -webkit-transform: rotateY(180deg);
	transform: rotateY(180deg);
}
#youWin{
	width: 350px;
	height: 160px;
	position: absolute;
	margin-top: 40px;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	font-size: 28px;
	text-transform: uppercase;
	border-radius: 5px;
	background-color: rgba(255,198,0,1.00);
}

#youWin button{
	width: 140px;
	color: #fff;
	margin-top: 10px;
	font-family: 'akzidenz-grotesk_bold';
	font-size: 28px;
	text-transform: uppercase;
	background-color: rgba(44,114,141,1.00);
	border-radius: 5px;
}

/* RESPONSIVE */
@media screen and (max-width: 650px){
	body{
		justify-content: flex-start;
	}
	h1{
		font-size: 40px;
	}
	.memory-game{
		width: 350px;
		height: 400px;
		margin: 20px auto;
	}
	.memory-card{
		width: calc(25% - 5px);
		height: calc(33.333% - 5px);
		margin: 2.5px;
}
	.front-face, 
	.back-face{
		padding: 8px;
	}
		#youWin{
		width: 290px;
		height: 90px;
		position: absolute;
		top: 280px;
		margin-top: 0;
		display: flex;
		font-size: 25px;
	}

	#youWin button{
		margin-top: 0;
		font-size: 20px;
	}
}